Skip to main content
GET
/
monitors
List monitors
curl --request GET \
  --url https://api.dnsradar.dev/monitors \
  --header 'X-Api-Key: <api-key>'
{
  "limit": 20,
  "after": "<string>",
  "before": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "mon_abc123...",
      "created": "2023-11-07T05:31:56Z",
      "domain": "example.com",
      "subdomain": "www",
      "record_type": "A",
      "expected_value": [
        "192.168.1.1"
      ],
      "current_value": [
        "192.168.1.1"
      ],
      "is_exact_match": true,
      "state": "UNSET",
      "incidence_count": 123,
      "last_checked": "2023-11-07T05:31:56Z",
      "is_active": true,
      "notify": "immediately"
    }
  ]
}
You can filter monitors by group, state, domain, subdomain, full_domain, record_type and is_active.
For example: ?group=production&state=invalid&is_active=true
Note: If full_domain is provided, it will be split into domain and subdomain, overriding any values set in the domain and subdomain parameters.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Query Parameters

after
string

Cursor for fetching the next page of results. Use the value from the previous response's 'after' field.

before
string

Cursor for fetching the previous page of results. Use the value from the previous response's 'before' field.

limit
integer
default:20

Number of items per page (1-100, default: 20)

Required range: 1 <= x <= 100
order_by
string

Field to order results by

order_way
enum<string>
default:asc

Sort direction

Available options:
asc,
desc
group
string

Filter by group slug

state
enum<string>

Filter by monitor state

Available options:
UNSET,
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
domain
string

Filter by domain name (ignored if full_domain is provided)

subdomain
string

Filter by subdomain (ignored if full_domain is provided)

full_domain
string

Filter by full domain (e.g., subdomain.example.com). Will be split into domain and subdomain, overriding the domain and subdomain parameters if they are set.

record_type
enum<string>

Filter by DNS record type

Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
PTR,
SPF,
CAA
is_active
boolean

Filter by active status

Response

Paginated list of monitors

Paginated response wrapper for list endpoints. Uses cursor-based pagination with after/before parameters.

limit
integer

Number of items per page (max 100)

Example:

20

after
string | null

Cursor to fetch the next page of results

before
string | null

Cursor to fetch the previous page of results

has_more
boolean

Indicates if there are more items to fetch

data
object[]

Array of items for the current page